version: "3"

services:
  generator:
    image: ppm

    environment:
      FLASK_APP: generator
      FLASK_DEBUG: 0
      
      DATABASE_URL: "postgresql://username:password@host/database_name"
      
      SECRET_KEY: "Åìo«ÑÚ2ûÁn-Û?bV4«Û©ä´ó>°yÆvw7°Ôa"
      
      JWT_SECRET_KEY: "¤2¯µ&ñðxÈF?a^µ#udbLxgÐ§?ÅÏARA®D"
      JWT_EXPIRES_AFTER: 604800
      
      OIDC_BASE_URL: http://localhost:8080/auth/realms/master/
      OIDC_CLIENT_ID: generator
      OIDC_CLIENT_SECRET: "a11a5557-d486-429c-8c8c-7afa0bf1b0be"

    ports:
      - "8080:5010"

    command: ["/bin/bash", "./run.sh"]
